#!/bin/sh
# AQEMU 0.6 Installation Script
# Lisence: GPL v2
# Author: Andrey Rijov (aka RDron)
# Author: Denis Smirnov (aka reMiND)

# Default Installation Dirs For Linux
PREFIX=/usr

# Set Installation Dirs For FreeBSD
if uname -a | grep "FreeBSD" > /dev/null;
then
	PREFIX=/usr/local
fi

# User Set Other Installation Dir?
if [ -n "$1" ]
then
	PREFIX=$1
	echo "Install Data Path Changet to: $1"
fi

# Unistall Previous AQEMU Version
echo "Find and Remove Previous AQEMU Installations..."

FIND_PREV="no"

if [ -x /usr/share/aqemu ]
then
	FIND_PREV="yes"
	echo "Remove /usr/share/aqemu Directory..."
	rm -rf /usr/share/aqemu
fi

if [ -x /usr/share/apps/aqemu ]
then
	FIND_PREV="yes"
	echo "Remove /usr/share/apps/aqemu Directory..."
	rm -rf /usr/share/apps/aqemu
fi

if [ -x /usr/local/share/aqemu ]
then
	FIND_PREV="yes"
	echo "Remove /usr/local/share/aqemu Directory..."
	rm -rf /usr/local/share/aqemu
fi

if test "$FIND_PREV" = "no"; then
	echo "No Previous AQEMU Versions Averable."
fi

# Copy New Data Files
echo "Installing new AQEMU Files..."
install -Dm 755 ./AQEMU $PREFIX/bin/aqemu
install -d $PREFIX/share/aqemu/
install -d $PREFIX/share/aqemu/os_icons
install -d $PREFIX/share/aqemu/os_templates
install -Dm 644 ./Russian.qm $PREFIX/share/aqemu/
install -Dm 644 ./os_icons/* $PREFIX/share/aqemu/os_icons/
install -Dm 644 ./os_templates/* $PREFIX/share/aqemu/os_templates/

echo "Create Menu Items..."
install -Dm 644 ./menu_data/*.png $PREFIX/share/pixmaps/
install -Dm 644 ./menu_data/aqemu.desktop $PREFIX/share/applications/aqemu.desktop

install -Dm 644 ./menu_data/aqemu $PREFIX/share/menu/aqemu
echo "  command=\"$PREFIX/bin/aqemu\" \\" >> $PREFIX/share/menu/aqemu
echo "  icon=\"$PREFIX/share/pixmaps/aqemu_48x48.png\" \\" >> $PREFIX/share/menu/aqemu

echo "Installation Complete!"
exit 0
